################################################################################
# Desc:   openjpeg Build Data
# Author: Mihrtec LLC
# Date:   2016
################################################################################
# openjpeg natively supports transpiling
################################################################################
# Download location
GITADDR  := https://github.com/uclouvain/openjpeg
# OpenJPEG depends on png, tiff, lcms2, and z
LIBDEPS  := png tiff lcms2 z
# Cmake autogen
CMAKEOPT := -DPNG_LIBRARY:FILEPATH="$(abspath $(LIB_DIR)/libpng.so)"
CMAKEOPT += -DPNG_INCLUDE_DIR:PATH="$(abspath $(ROOT_DIR)/include)"
CMAKEOPT += -DPNG_PNG_INCLUDE_DIR:PATH="$(abspath $(ROOT_DIR)/include)"
CMAKEOPT += -DZLIB_LIBRARY:FILEPATH="$(abspath $(LIB_DIR)/libz.so)"
CMAKEOPT += -DZLIB_INCLUDE_DIR:PATH="$(abspath $(ROOT_DIR)/include)"
CMAKEOPT += -DTIFF_LIBRARY:FILEPATH="$(abspath $(LIB_DIR)/libtiff.so)"
CMAKEOPT += -DTIFF_INCLUDE_DIR:PATH="$(abspath $(ROOT_DIR)/include)"
CMAKEOPT += -DBUILD_SHARED_LIBS:bool=off
AUTOGEN  := mkdir -p build && cd build
AUTOGEN  += && cmake $(CMAKEOPT) ..
undefine CONFIGURE
# Make is now in the build dir
MKINSTALL := cd build && make DESTDIR=$(abspath $(LIB_DIR)/.trash) install

# Emscripten mods
define emccMOD =
$(eval AUTOGEN := $(subst  cmake , emcmake cmake ,$(AUTOGEN)))
endef
define em++MOD =
$(call emccMOD)
endef
ifdef $($(c_C)MOD)
$(eval $(call $($(c_C)MOD)))
endif
